--============================================================================
-- Design units : getStream
-- File name    : TB_getStream.vhd
--
-- Description  : Testbench for getStream.vhd
--
-- Uses         : None
--
-- Author       : Klaus Ruzicka, Zurich, Switzerland
--
--============================================================================
-- Revision list
-- Version  Author  Date      Changes
--
-- 1.0      Rkl     13/01/99  New design
--============================================================================
library IEEE;
use IEEE.std_logic_1164.all;

entity test_getStream is
end test_getStream;

architecture behav of test_getStream is
component getRLLstream
  port ( clk: in  std_logic;
	 Q:   out std_logic);
end component;
component pns7
  port ( clk: in  std_logic;
	 Q:   out std_logic);
end component;
component pns9
  port ( clk: in  std_logic;
	 Q:   out std_logic);
end component;

signal clk: std_logic := '0';
signal q,q7,q9:   std_logic;

begin
 uu1: getRLLstream port map(
	clk =>clk,
	q => q);
 uu7: pns7 port map(
	clk =>clk,
	q => q7);
 uu9: pns9 port map(
	clk =>clk,
	q => q9);
clk<=not clk after 1 ns;
end behav; -- test_getStream

-- ===========================================================================
-- RLLstream.txt (sample stream for getRLLstream, remove leading -- for use)
-- ===========================================================================
-- 0 Finish EVERY line with a zero, separate values with one or more spaces!
-- -1 -9  1  1  1  1 1 2 1 2 4 2 0 macro #1: 16bit barker code 1010100100111100
-- -2  3 -1  8  5 -2  0	        macro #2: endless loop
-- 0 ***** regular part *****
--  1 15  7 36 -1 -1 0	        regular code
-- -2 0
--  3 -1  0 never called due infinite loop call (-2) on line above
-- ===========================================================================
-- end of file
-- ===========================================================================